Rated 4 out of 5 stars

For me, the new versions of this addon never worked as well as 0.8.2.2, and I recommend installing this version and not the new ones.
To make it work on Firefox 3.6 go to about:config and set a new boolean extensions.checkCompatibility.3.6 to false. For details see:
http://kb.mozillazine.org/Extensions.checkCompatibility

This review is for a previous version of the add-on (1.0.1).